> ## Documentation Index
> Fetch the complete documentation index at: https://mako-docs.devinagiffy.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Client

> Update client details

<Note>Requires Admin or Manager role.</Note>

## Path Parameters

<ParamField path="id" type="string" required>
  Client UUID
</ParamField>

## Request Body

All fields are optional.

<ParamField body="name" type="string">
  Client name (1-200 characters)
</ParamField>

<ParamField body="deployDay" type="string">
  Deploy day of week
</ParamField>

<ParamField body="contentCadence" type="integer">
  Posts per week (1-10)
</ParamField>

<ParamField body="status" type="string">
  Status: `active`, `paused`, `offboarded`
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH "https://api.hitler.app/api/clients/client-uuid-1" \
    -H "Authorization: Bearer YOUR_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"deployDay": "Wednesday", "contentCadence": 3}'
  ```

  ```typescript TypeScript theme={null}
  await api.updateClient("client-uuid-1", {
    deployDay: "Wednesday",
    contentCadence: 3,
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "client-uuid-1",
    "name": "Acme Corp",
    "deployDay": "Wednesday",
    "contentCadence": 3,
    "status": "active",
    "createdAt": "2026-03-06T10:00:00.000Z",
    "updatedAt": "2026-03-06T12:00:00.000Z"
  }
  ```
</ResponseExample>
